Subject: cygwin32 NT4.0 NTFS - problem?
From: [email-masked] (Patrik Wennberg - NCR)

1 Dec 1997 02:39:47 -0800
Message-ID: <[email-masked]>
To: "[email-masked]'" <[email-masked]>

It was when I compiled perl5.004_04 (many thanks to Chris Faylor for
supplying the patch to it) that I stumbled upon a problem that I can't
find any solution to. I've looked through the mailing-list archive
without being able to find any related info, so I need some help.

It seems that the default behavior for permissions in a NTFS
differ very much from UNIX. It looks like they have mixed the concept
of "user" and "group" so that nt-groups appear as owners to objects in
the fs. The result from this is that e.g. the test command fails when
it test for write-permission. Please see the following script that
explains the situation:

        file=$$_test_file

        test_perm() {
                if test -w $file
                then
                        echo "write permission"
                else
                        echo "NO write permission"
                fi
        }

        #My uid and gid:
        id

        >$file
        # Since I've just created the file,
        # I do have "writepermission" to it.

        ls -l $file
        test_perm
        echo "fuubar" >>$file
        #Just to convince myself ;-)

        chown `id -u -n` $file

        ls -l $file
        test_perm

        rm -f $file

My perl5.004_04 is up and running, only because I made an ugly hack to
the "-w test" in the source, but I am not happy with the situation.

Is this something that should/could be fixed in cygwin32 or is it
something that we just have to live with?

PS.
Of course I've tried everything both with and without Sergey's patches.

Best Regards

Patrik Wennberg
_______________________________________________________________
|
| Patrik Ericson Wennberg
| NCR Norway, PS Division
|---
| Email: [email-masked]
|---
| Phone:         +47-22953770
| Cellphone (inc. SMS):  +47-91321474
| MobileFax:  +47-91240069
|---
| NCR Norge A.S.
| Box 24, N-0409 OSLO
| NORWAY
|______________________________________________________________
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".